aboutsummaryrefslogtreecommitdiff
path: root/package/libsoup
Commit message (Collapse)AuthorAgeFilesLines
* libsoup: bump to version 2.54.1Gravatar Gustavo Zacarias2016-04-262-3/+3
| | | | | Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* libsoup: bump to version 2.54.0.1Gravatar Gustavo Zacarias2016-03-242-3/+3
| | | | | Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* libsoup: bump to version 2.54.0Gravatar Gustavo Zacarias2016-03-222-5/+5
| | | | | Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* libsoup: bump to version 2.52.2Gravatar Gustavo Zacarias2015-11-112-3/+3
| | | | | Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* libsoup: bump to version 2.52.1Gravatar Gustavo Zacarias2015-10-142-5/+5
| | | | | | | | | Disabled vala bindings since they're not used by the current buildroot packages and it requires gobject-introspection which we don't provide yet. Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* packages: remove non-IPv6 dependencies and tweaksGravatar Gustavo Zacarias2015-04-221-7/+0
| | | | | | | | Now that IPv6 is mandatory remove package dependencies and conditionals for it. Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* libsoup: add hash fileGravatar Gustavo Zacarias2015-04-071-0/+2
| | | | | Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* libsoup: bump versionGravatar Peter Korsgaard2014-11-192-41/+2
| | | | | | python3 patch is now upstream. Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* package: indentation cleanupGravatar Jerzy Grzegorek2014-10-261-1/+1
| | | | | Signed-off-by: Jerzy Grzegorek <jerzy.grzegorek@trzebnica.net> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* packages: rename FOO_CONF_OPT into FOO_CONF_OPTSGravatar Thomas De Schampheleire2014-10-041-4/+4
| | | | | | | | | | | | To be consistent with the recent change of FOO_MAKE_OPT into FOO_MAKE_OPTS, make the same change for FOO_CONF_OPT. Sed command used: find * -type f | xargs sed -i 's#_CONF_OPT\>#&S#g' Signed-off-by: Thomas De Schampheleire <thomas.de.schampheleire@gmail.com> Reviewed-by: "Yann E. MORIN" <yann.morin.1998@free.fr> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* libsoup: add libsoup-gnome supportGravatar Hadrien Boutteville2014-07-182-1/+12
| | | | | | | | | | libsoup can build a libsoup-gnome library. Add support for libsoup-gnome as it is a dependency of Midori. Signed-off-by: Hadrien Boutteville <hadrien.boutteville@gmail.com> Cc: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> Cc: "Yann E. MORIN" <yann.morin.1998@free.fr> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* libsoup: fix build with host python3Gravatar Baruch Siach2014-04-081-0/+39
| | | | | | | | | | Apply upstream patch to make tld-parser.py python3 compatible. Fixes: http://autobuild.buildroot.net/results/d22/d22edc19001037f9593f45444ed953f74ee6b806/ Signed-off-by: Baruch Siach <baruch@tkos.co.il> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* package: drop <PKG>_VERSION_MINOR variableGravatar Jerzy Grzegorek2014-03-171-2/+1
| | | | | | | | Since <PKG>_VARIABLE_MINOR variable in some packages is used only once, so it is unusable. This patch removes it. Signed-off-by: Jerzy Grzegorek <jerzy.grzegorek@trzebnica.net> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* package: unification of name <pkg>_VERSION_MINOR variableGravatar Jerzy Grzegorek2013-12-081-2/+2
| | | | | | | | | Currently there are two different names of the minor version variable: <PKG>_MINOR_VERSION and <PKG>_VERSION_MINOR This patch unifies them to <PKG>_VERSION_MINOR Signed-off-by: Jerzy Grzegorek <jerzy.grzegorek@trzebnica.net> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* package: unification of name <pkg>_VERSION_MAJOR variableGravatar Jerzy Grzegorek2013-12-081-3/+3
| | | | | | | | | Currently there are two different names of the major version variable: <PKG>_MAJOR_VERSION and <PKG>_VERSION_MAJOR This patch unifies them to <PKG>_VERSION_MAJOR Signed-off-by: Jerzy Grzegorek <jerzy.grzegorek@trzebnica.net> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* libglib2: needs MMU supportGravatar Thomas De Schampheleire2013-11-221-0/+2
| | | | | | | Fixes http://autobuild.buildroot.net/results/2e0/2e032c6e44e10f2912935715741c3680a19b9b51/ Signed-off-by: Thomas De Schampheleire <thomas.de.schampheleire@gmail.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* libsoup: add license infoGravatar Danomi Manchego2013-10-221-0/+2
| | | | | Signed-off-by: Danomi Manchego <danomimanchego123@gmail.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* Config.in files: unify comments of toolchain option dependenciesGravatar Thomas De Schampheleire2013-10-141-1/+1
| | | | | | | | This patch lines up the comments in Config.in files that clarify which toolchain options the package depends on. Signed-off-by: Thomas De Schampheleire <thomas.de.schampheleire@gmail.com> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
* libsoup: Remove redundant dependency on gettextGravatar Arnout Vandecappelle (Essensium/Mind)2013-07-302-2/+1
| | | | | | | | libsoup doesn't use intl stuff directly, but uses gi18n. libglib2 already has all required dependencies on gettext. Signed-off-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* libglib2: needs threadsGravatar Spenser Gilliland2013-07-271-3/+7
| | | | | | | | | | | | | | This commit adds a dependency of the libglib2 package on thread support in the toolchain, since upstream libglib2 doesn't build without thread support. The commit is rather large as it involves propagating the dependency on thread support to all reverse dependencies of the libglib2 package. [Thomas: squash all patches into one, make a few minor fixes, the most important one being to not add comments about MMU requirement when a package doesn't work on !MMU platforms.] Signed-off-by: Spenser Gilliland <spenser@gillilanding.com>
* libsoup: add missing dependency on host-intltoolGravatar Thomas Petazzoni2013-06-091-1/+2
| | | | | | | | | Fixes: http://autobuild.buildroot.net/results/e24/e240828ed2fdeb98f36818c0ef19b15dadc2e59f/build-end.log Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* libsoup: bump to version 2.43.1Gravatar Spenser Gilliland2013-06-082-3/+4
| | | | | Signed-off-by: Spenser Gilliland <spenser@gillilanding.com> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* Normalize separator size to 80Gravatar Alexandre Belloni2013-06-061-2/+2
| | | | | Signed-off-by: Alexandre Belloni <alexandre.belloni@free-electrons.com> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* Revert "gnutls: wchar only needed for tools"Gravatar Peter Korsgaard2013-06-061-1/+1
| | | | | | | | | | | | | | This reverts commit 7672b1235d8f786938af66068c1c1da8a766bb38. It turns out that libgnutls.so ends up with a reference to wctomb() on uClibc, as uClibc doesn't have vasnprintf so gnutls builds its internal gnulib version of it, referencing wctomb(). Fix it by going back to requiring wchar for the base gnutls library as well. Fixes http://autobuild.buildroot.net/results/780/780e825e56dc78f1ea347ca462e2e31044428775/ Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* gnutls: wchar only needed for toolsGravatar Peter Korsgaard2013-06-031-1/+1
| | | | | | And adjust reverse dependencies to match. Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* Revert "gnutls: make it non-wchar friendly"Gravatar Peter Korsgaard2013-02-051-1/+1
| | | | | | | | | | | | | | | | | | | | This reverts commit f1b86cef9884894df26ed25efaabe254f8f0754b While the fix makes gnutls build without wchar, it doesn't actually work as there's no rpl_wctomb implementation so the .so ends up with an undefined reference to wctomb: ./host/usr/bin/arm-linux-nm -D staging/usr/lib/libgnutls.so.28|grep wctomb U wctomb Causing linker errors for packages trying to use it: CCLD msmtp host/usr/arm-buildroot-linux-uclibcgnueabi/sysroot/usr/lib/libgnutls.so: undefined reference to `wctomb' collect2: ld returned 1 exit status Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* gnutls: make it non-wchar friendlyGravatar Gustavo Zacarias2012-12-261-1/+1
| | | | | | | | Make gnutls work for non-wchar toolchains. It's just a matter of throwing a helping hand to configure. Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* packages: switch to host-pkgconfGravatar Gustavo Zacarias2012-10-291-1/+1
| | | | | | Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Acked-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* Remove all references to libintlGravatar Thomas Petazzoni2012-09-202-2/+1
| | | | | | | | | | | | | | | From now on, packages only need to select the BR2_PACKAGE_GETTEXT option and depend on the 'gettext' package to get the necessary i18n libraries installed on the target. Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> Tested-by: "Yann E. MORIN" <yann.morin.1998@free.fr> [yann.morin.1998@free.fr: remove BR2_PACKAGE_LIBINTL] Signed-off-by: "Yann E. MORIN" <yann.morin.1998@free.fr> Tested-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be> Acked-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be> CC: Samuel Martin <s.martin49@gmail.com> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* gnutls: requires WCHAR supportGravatar Thomas Petazzoni2012-07-251-1/+1
| | | | | | | | | gnutls uses wctomb(), which is available only on C libraries with wide-char support. This fixes the following build failure: http://autobuild.buildroot.org/results/cd4e73be80fbb64858f4cf911d2b893b0fc06465/build-end.log Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* all packages: rename XXXTARGETS to xxx-packageGravatar Arnout Vandecappelle (Essensium/Mind)2012-07-171-1/+1
| | | | | | | | | | | | | Also remove the redundant $(call ...). This is a purely mechanical change, performed with find package linux toolchain boot -name \*.mk | \ xargs sed -i -e 's/$(eval $(call GENTARGETS))/$(eval $(generic-package))/' \ -e 's/$(eval $(call AUTOTARGETS))/$(eval $(autotools-package))/' \ -e 's/$(eval $(call CMAKETARGETS))/$(eval $(cmake-package))/' Signed-off-by: Arnout Vandecappelle (Essensium/Mind) <arnout@mind.be> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* libsoup: update to version 2.36.1Gravatar Sven Neumann2012-02-283-43/+9
| | | | | | | | | | | Update to latest stable release. SSL support now depends on glib-networking with gnutls support instead of using gnutls directly. Remove libsoup-CVE-2011-2054.patch, this is fixed upstream. Signed-off-by: Sven Neumann <s.neumann@raumfeld.com> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* package: remove useless arguments from AUTOTARGETSGravatar Thomas Petazzoni2011-09-291-1/+1
| | | | | | | | | | Thanks to the pkgparentdir and pkgname functions, we can rewrite the AUTOTARGETS macro in a way that avoids the need for each package to repeat its name and the directory in which it is present. [Peter: pkgdir->pkgparentdir] Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* libsoup: add option to enable HTTPS (SSL) supportGravatar Sven Neumann2011-09-062-1/+14
| | | | | | | | | By selecting BR2_PACKAGE_LIBSOUP_SSL the gnutls package is selected and libsoup will be compiled with SSL support. [Peter: pass --with-libgcrypt-prefix so configure finds it] Signed-off-by: Sven Neumann <s.neumann@raumfeld.com> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* libsoup: bump to 2.32.2Gravatar Sven Neumann2011-08-061-1/+1
| | | | | | | | | Buildroot should use a stable release, not use an unstable development version. Updating to the current stable branch (2.34) is not trivial, so at least use the latest release from the stable 2.32 branch. Signed-off-by: Sven Neumann <s.neumann@raumfeld.com> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* libsoup: add patch to fix CVE-2011-2054Gravatar Sven Neumann2011-08-041-0/+32
| | | | | | | | | | | | Fixes a security hole that caused some SoupServer users to unintentionally allow accessing the entire local filesystem when they thought they were only providing access to a single directory. This is the change from libsoup-2.34.3 backported to 2.32.2. It doesn't include the changes to the test suite though. Signed-off-by: Sven Neumann <s.neumann@raumfeld.com> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* packages: remove --{enable,disable}-{shared,static} from autotools packagesGravatar Thomas Petazzoni2011-06-121-2/+0
| | | | | | | | Now that those values are passed at the autotools infrastructure level, there's no need for every package to pass inconsistent values. Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* package: apply libtool patch where possibleGravatar Peter Korsgaard2011-02-171-1/+0
| | | | | | | | | | Now that we have libtool-2.2.x patch support, we can get rid of a bunch of _LIBTOOL_PATH = NO, fixing (potential) cross link issues. Notice: php not changed, as it uses a very old 1.5 version for the embedded sqlite, where our buildroot-libtool-v1.5.patch doesn't apply. Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* libsoup: bump version to 2.31.2Gravatar Thomas Petazzoni2010-07-271-5/+4
| | | | Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* package: gettext needs WCHAR supportGravatar Peter Korsgaard2010-05-251-2/+6
| | | | | | | | gettext needs WCHAR support in the toolchain, and as libglib2 depends on gettext and lots of stuff depends on libglib2, quite a lot of packages needs to have their dependencies adjusted. Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* Update packages to BR2_NEEDS_GETTEXT_IF_LOCALEGravatar Thomas Petazzoni2010-05-242-1/+3
| | | | Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* Make all package using gettext rely on BR2_NEEDS_GETTEXTGravatar Thomas Petazzoni2010-05-201-1/+1
| | | | Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* libsoup: remove --without-html-dirGravatar Thomas Petazzoni2010-02-231-1/+1
| | | | | | | | | | | | | | | | | --without-html-dir doesn't work. It leads libsoup ./configure script to think that HTML_DIR is "no", which leads to the installation of the documentation in $(STAGING_DIR)no (yes, with the "no" suffix at the end). The issue is that --with-html-dir is not an enable/disable type of option, it's an option that only allows to pass a PATH for documentation installation. As we don't want the documentation to be installed in this odd $(STAGING_DIR)no directory, we simply get rid of this option. See 7e62e8ec723f91e07bb4ac9ae3e55b65e3123082 for another instance of the same problem. Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* host-pkgconfig is now host-pkg-configGravatar Thomas Petazzoni2009-12-151-1/+1
| | | | Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* package: fix reference to host glib-genmarshalGravatar Peter Korsgaard2009-09-231-2/+1
| | | | | | | | | Reported by Sven Neumann <s.neumann@raumfeld.com> Use LIBGLIB2_HOST_BINARY instead of the non-existing $(HOST_GLIB) variable to refer to the host version of glib-genmarshal. Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* package: Remove unnecessary dependencies on uclibc.Gravatar Will Newton2009-09-031-1/+1
| | | | | | | | A C library will have been built by the toolchain makefiles, so there is no need for packages to explicitly depend on uclibc. Signed-off-by: Will Newton <will.newton@gmail.com> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* libsoup: enable autoreconfGravatar Thomas Petazzoni2009-08-101-1/+1
| | | | | | | To get the libtool patch to make some effect, an autoreconfiguration is necessary. Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
* libsoup: bump versionGravatar Sven Neumann2009-06-231-3/+5
| | | | | | | | | | | | Closes #349. Attached patch updates libsoup to version 2.26.2. This is relevant for bug 303 as it allows to compile gvfs with much less patching. Signed-off-by: Sven Neumann <s.neumann@raumfeld.com> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
* package: add libsoup packageGravatar Peter Korsgaard2009-04-262-0/+40
Based on patch by Sven Neumann <s.neumann@phase-zero.de>, closes #35.